Updates to NETCONF Transport Port Numbers
RFC 9900
Mohamed Boucadair
Orange
2025-12
OPS
netconf
de-assign
deallocate
release
This document releases IANA-assigned port numbers for services related to the Network Configuration Protocol (NETCONF) that have not been in use in production networks.
Status of This Memo
This is an Internet Standards Track document.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Further information on Internet Standards is available in Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc9900.
Copyright Notice
Copyright (c) 2025 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Revised BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Revised BSD License.
Table of Contents
- 1. Introduction
- 2. Operational Considerations
- 3. Security Considerations
- 4. IANA Considerations
  - 4.1. NETCONF over BEEP Service
  - 4.2. NETCONF over SOAP Service
- 5. References
  - 5.1. Normative References
  - 5.2. Informative References
- Acknowledgments
- Author's Address
Introduction
The "Service Name and Transport Protocol Port Number Registry" [IANA-SERVICE] records several NETCONF-related port and service name assignments such as 830 for NETCONF over Secure Shell (SSH) [RFC6242], 831 for NETCONF over the Blocks Extensible Exchange Protocol (BEEP) [RFC4744], 832 for NETCONF over the Simple Object Access Protocol (SOAP) [RFC4743], 4334 for NETCONF Call Home [RFC8071], and 6513 for NETCONF over Transport Layer Security (TLS) [RFC7589][NETCONF-over-TLS].
However, three of these assignments (831, 832, and 833) are for protocols that are not deployed, and the relevant RFCs ([RFC4743] and [RFC4744]) have been marked Historic. All these assignments are thus no longer required to support these services.
This document de-assigns these unused port numbers.
Consistent with Section 8.2 of [RFC6335], this document does not de-assign service names; only port numbers are de-assigned for better usage of available scarce resources.
Operational Considerations
There are no known implementations and deployments of protocols that rely upon the port numbers released back by this document.
Existing configurations (if any) that associate the released port numbers with the service names "netconf-beep" and "netconfsoaphttp" need to be reassessed and updated according to the actions in Section 4.
Other than that, there are no new operations or manageability requirements introduced by this document.
Security Considerations
This document does not describe any protocol. As such, this document does not introduce any new security vulnerability.
IANA Considerations
Per this document, IANA has updated the "Service Name and Transport Protocol Port Number Registry" [IANA-SERVICE] as specified in the following subsections.
De-assigned allocations are marked per Section 8.2 of [RFC6335]. These actions are not repeated here.
NETCONF over BEEP Service
OLD:
Service Name | Port Number | Transport Protocol | Description | Reference
netconf-beep | 831 | tcp | NETCONF over BEEP | [RFC4744]
netconf-beep | 831 | udp | NETCONF over BEEP | [RFC4744]
NEW:
Service Name | Port Number | Transport Protocol | Description | Reference
netconf-beep | | | NETCONF over BEEP | [RFC4744] RFC 9900
A note has been added to 831 to indicate that the port number used to be assigned to NETCONF over BEEP but was released by RFC 9900.
NETCONF over SOAP Service
OLD:
Service Name | Port Number | Transport Protocol | Description | Reference
netconfsoaphttp | 832 | tcp | NETCONF for SOAP over HTTPS | [RFC4743]
netconfsoaphttp | 832 | udp | NETCONF for SOAP over HTTPS | [RFC4743]
netconfsoapbeep | 833 | tcp | NETCONF for SOAP over BEEP | [RFC4743]
netconfsoapbeep | 833 | udp | NETCONF for SOAP over BEEP | [RFC4743]
NEW:
Service Name | Port Number | Transport Protocol | Description | Reference
netconfsoaphttp | | | NETCONF for SOAP over HTTPS | [RFC4743] RFC 9900
netconfsoapbeep | | | NETCONF for SOAP over BEEP | [RFC4743] RFC 9900
A note has been added to 832 and 833 to indicate that the port numbers used to be assigned to NETCONF over SOAP but were released by RFC 9900.
References
Normative References
[RFC6335]

Internet Assigned Numbers Authority (IANA) Procedures for the Management of the Service Name and Transport Protocol Port Number Registry
M. Cotton
L. Eggert
J. Touch
M. Westerlund
S. Cheshire
August 2011
BCP 165
RFC 6335
DOI 10.17487/RFC6335
Informative References
[IANA-SERVICE]

Service Name and Transport Protocol Port Number Registry
IANA
[I-D.ietf-netconf-over-tls13]

Updates to Using the NETCONF Protocol over Transport Layer Security (TLS) with Mutual X.509 Authentication
Sean Turner
sn3rd
Russ Housley
Vigil Security, LLC
18 January 2024
Internet-Draft draft-ietf-netconf-over-tls13-04
Work in Progress
[RFC4743]

Using NETCONF over the Simple Object Access Protocol (SOAP)
T. Goddard
December 2006
RFC 4743
DOI 10.17487/RFC4743
[RFC4744]

Using the NETCONF Protocol over the Blocks Extensible Exchange Protocol (BEEP)
E. Lear
K. Crozier
December 2006
RFC 4744
DOI 10.17487/RFC4744
[RFC6242]

Using the NETCONF Protocol over Secure Shell (SSH)
M. Wasserman
June 2011
RFC 6242
DOI 10.17487/RFC6242
[RFC7589]

Using the NETCONF Protocol over Transport Layer Security (TLS) with Mutual X.509 Authentication
M. Badra
A. Luchuk
J. Schoenwaelder
June 2015
RFC 7589
DOI 10.17487/RFC7589
[RFC8071]

NETCONF Call Home and RESTCONF Call Home
K. Watsen
February 2017
RFC 8071
DOI 10.17487/RFC8071
Acknowledgments
Thanks to Amanda Baber and Zahed Sarker for the guidance. Thanks to Tom Petch for the comments.
Thanks to Kent Watsen for the Shepherd review, Mahesh Jethanandani for the AD review, Bernie Volz for the INTDIR review, Roni Even for Gen-ART review, Barry Leiba for ARTART review, Dhruv Dhody for the OPSDIR review, Michael Tüxen for TSVART review, and Joe Touch for the port review.
Thanks to Gorry Fairhurst for the IESG review.
Author's Address
Mohamed Boucadair
Orange
mohamed.boucadair@orange.com